org.fourthline.cling.support.contentdirectory.callback

## Class Browse

- java.lang.Object
- - org.fourthline.cling.controlpoint.ActionCallback
  - - org.fourthline.cling.support.contentdirectory.callback.Browse

- All Implemented Interfaces:
    Runnable
  Direct Known Subclasses:
    ContentBrowseActionCallback

      public abstract class Browse
      extends ActionCallback

  Invokes a "Browse" action, parses the result.
  Author:
    Christian Bauer

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `Browse.Status`

    - ### Nested classes/interfaces inherited from class org.fourthline.cling.controlpoint.ActionCallback

      `ActionCallback.Default`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `CAPS_WILDCARD`

    - ### Fields inherited from class org.fourthline.cling.controlpoint.ActionCallback

      `actionInvocation, controlPoint`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Browse(Service service, String containerId, BrowseFlag flag)` Browse with first result 0 and `getDefaultMaxResults()`, filters with `CAPS_WILDCARD`.
    `Browse(Service service, String objectID, BrowseFlag flag, String filter, long firstResult, Long maxResults, SortCriterion... orderBy)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `long` | `getDefaultMaxResults()` Some media servers will crash if there is no limit on the maximum number of results.
    `abstract void` | `received(ActionInvocation actionInvocation, DIDLContent didl)`
    `boolean` | `receivedRaw(ActionInvocation actionInvocation, BrowseResult browseResult)`
    `void` | `run()`
    `void` | `success(ActionInvocation invocation)`
    `abstract void` | `updateStatus(Browse.Status status)`

    - ### Methods inherited from class org.fourthline.cling.controlpoint.ActionCallback

      `createDefaultFailureMessage, failure, failure, getActionInvocation, getControlPoint, setControlPoint, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### CAPS_WILDCARD

          public static final String CAPS_WILDCARD

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### Browse

          public Browse(Service service,
                String containerId,
                BrowseFlag flag)

      Browse with first result 0 and `getDefaultMaxResults()`, filters with `CAPS_WILDCARD`.

    - #### Browse

          public Browse(Service service,
                String objectID,
                BrowseFlag flag,
                String filter,
                long firstResult,
                Long maxResults,
                SortCriterion... orderBy)

      Parameters:
        `maxResults` - Can be `null`, then `getDefaultMaxResults()` is used.

  - ### Method Detail

    - #### run

          public void run()

      Specified by:
        `run` in interface `Runnable`
      Overrides:
        `run` in class `ActionCallback`

    - #### success

          public void success(ActionInvocation invocation)

      Specified by:
        `success` in class `ActionCallback`

    - #### getDefaultMaxResults

          public long getDefaultMaxResults()

      Some media servers will crash if there is no limit on the maximum number of results.
      Returns:
        The default limit, 999.

    - #### receivedRaw

          public boolean receivedRaw(ActionInvocation actionInvocation,
                            BrowseResult browseResult)

    - #### received

          public abstract void received(ActionInvocation actionInvocation,
                      DIDLContent didl)

    - #### updateStatus

          public abstract void updateStatus(Browse.Status status)

Copyright © 2014 4th Line GmbH, Switzerland. All Rights Reserved.